Update pending attendee
Updates an existing pending attendee record with new information during form modification.
curl --request PATCH \
--url https://api.example.com/v4/attendee/pending/{id} \
--header 'Content-Type: application/json' \
--data '
{
"notes": {},
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"firstname": "<string>",
"lastname": "<string>",
"fullname": "<string>",
"bringalongEmails": [
"jsmith@example.com"
],
"billingDetails": {
"company": "<string>",
"addressLine1": "<string>",
"addressLine2": "<string>",
"postalCode": "<string>",
"city": "<string>",
"countryCode": "<string>",
"vatId": "<string>"
},
"phone": "<string>",
"timezone": "<string>",
"dataPolicyAccepted": true
}
'import requests
url = "https://api.example.com/v4/attendee/pending/{id}"
payload = {
"notes": {},
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"firstname": "<string>",
"lastname": "<string>",
"fullname": "<string>",
"bringalongEmails": ["jsmith@example.com"],
"billingDetails": {
"company": "<string>",
"addressLine1": "<string>",
"addressLine2": "<string>",
"postalCode": "<string>",
"city": "<string>",
"countryCode": "<string>",
"vatId": "<string>"
},
"phone": "<string>",
"timezone": "<string>",
"dataPolicyAccepted": True
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
notes: {},
companyId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
email: 'jsmith@example.com',
firstname: '<string>',
lastname: '<string>',
fullname: '<string>',
bringalongEmails: ['jsmith@example.com'],
billingDetails: {
company: '<string>',
addressLine1: '<string>',
addressLine2: '<string>',
postalCode: '<string>',
city: '<string>',
countryCode: '<string>',
vatId: '<string>'
},
phone: '<string>',
timezone: '<string>',
dataPolicyAccepted: true
})
};
fetch('https://api.example.com/v4/attendee/pending/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
123{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}Path Parameters
The unique identifier of the pending attendee record
Body
Updated attendee information
An object containing attendee form entries.
Show child attributes
Show child attributes
Attendee email address. Required for all standard bookings.
Optional only when BookingDto.phoneOnlyBooking is true.
Validated as email format when provided.
Either fullname or firstname/lastname is required
150Either fullname or firstname/lastname is required
150Either fullname or firstname/lastname is required
150Additional attendee emails (max 5)
5Billing details from the booking page's billing block, shown when the
meeting type sets meetingPaymentInfo.collectBillingDetails.
Show child attributes
Show child attributes
en, de, fr, es, no, nl, it, pl, sv, tr, da Response
Pending attendee updated successfully
The response is of type number.
